[package]
name = "temp_2_rgb"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

# [build]
# target = "i686-pc-windows-msvc"

[dependencies]
serde = { version = "1.0", features = ["derive"] }
ron = "0.8"                                        # Rust object notation, to load configuration files.

num = "0.4"

dirs = "5.0"
anyhow = "1.0"

flexi_logger = "0.27"
log-panics = { version = "2", features = ["with-backtrace"] }
log = "0.4"

windows-service = "0.6"

# HIDAPI is a library which allows an application to interface with
# USB and Bluetooth HID-Class devices.
hidapi = "2.4"

# Nvidia API.
nvapi = "0.1"

libc = "0.2"
wmi = "0.13"
crc = "3.0"

# libloading = "0.8"
# netcorehost = "0.15"

[dependencies.windows]
version = "0.51"
features = [
    "Win32_Foundation",
    "Win32_Security",
    "Win32_Storage_FileSystem",
    "Win32_System_IO",
    "Win32_System_Services",
    "Win32_System_LibraryLoader",
    "Win32_System_Threading",
    # "Devices_I2c",
    # "Devices_Enumeration",
    # "Foundation",
    # "Foundation_Collections",
]

[build-dependencies]
bindgen = "0.68"

[profile.release]
# strip = "debuginfo"
codegen-units = 1
lto = true
